APIs & Integrations

VB1
Member

Insufficient scopes were provided. Please contact the app developer

SOLVE

Hello Team,

 

As we are in process of integrating our application into Hubspot. We tried with OAuth integration but we got the error with "Insufficient scopes were provided. Please contact the app developer" eventhough we provided with all the scopes and we tried with each an every individual scope.  What are the scopes mandatory? Are we have any documentation for OAuth integration?

 

VB1_0-1630677109442.png

 

Please help us to resolve this issue.

1 Accepted solution
webdew
Solution
Guide | Diamond Partner
Guide | Diamond Partner

Insufficient scopes were provided. Please contact the app developer

SOLVE

Hi @VB1 ,

The application you are trying to install requires the scopes that your account does not have . ask the application owner to know the scopes . If you are trying to install your own application then please check your url and your application scopes if they are same then it should work otherwise it requires those scopes that you have added in application.

Hope this helps!


If we were able to answer your query, kindly help the community by marking it as a solution.

Thanks and Regards. 

View solution in original post

1 Reply 1
webdew
Solution
Guide | Diamond Partner
Guide | Diamond Partner

Insufficient scopes were provided. Please contact the app developer

SOLVE

Hi @VB1 ,

The application you are trying to install requires the scopes that your account does not have . ask the application owner to know the scopes . If you are trying to install your own application then please check your url and your application scopes if they are same then it should work otherwise it requires those scopes that you have added in application.

Hope this helps!


If we were able to answer your query, kindly help the community by marking it as a solution.

Thanks and Regards.